[**@rxap/form-system v19.0.4-dev.0**](../README.md)

***

[@rxap/form-system](../globals.md) / ExtractResolveMethodMixin

# Class: ExtractResolveMethodMixin

Defined in: [packages/angular/form-system/src/lib/mixins/extract-resolve-method.mixin.ts:32](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-resolve-method.mixin.ts#L32)

## Extends

- [`ExtractFormDefinitionMixin`](ExtractFormDefinitionMixin.md).[`ExtractMethodMixin`](ExtractMethodMixin.md).[`ExtractControlMixin`](ExtractControlMixin.md)

## Extended by

- [`AutocompleteOptionsFromMethodDirective`](AutocompleteOptionsFromMethodDirective.md)

## Constructors

### new ExtractResolveMethodMixin()

> **new ExtractResolveMethodMixin**(): [`ExtractResolveMethodMixin`](ExtractResolveMethodMixin.md)

#### Returns

[`ExtractResolveMethodMixin`](ExtractResolveMethodMixin.md)

#### Inherited from

[`ExtractControlMixin`](ExtractControlMixin.md).[`constructor`](ExtractControlMixin.md#constructors)

## Properties

### control?

> `protected` `optional` **control**: `RxapFormControl`\<`any`, `any`, `any`\>

Defined in: [packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:14](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts#L14)

#### Inherited from

[`ExtractControlMixin`](ExtractControlMixin.md).[`control`](ExtractControlMixin.md#control)

***

### injector

> `protected` **injector**: `Injector`

Defined in: [packages/angular/form-system/src/lib/mixins/extract-method.mixin.ts:14](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-method.mixin.ts#L14)

#### Inherited from

[`ExtractMethodMixin`](ExtractMethodMixin.md).[`injector`](ExtractMethodMixin.md#injector)

***

### matFormField?

> `protected` `optional` **matFormField**: `null` \| `MatFormField`

Defined in: [packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:12](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts#L12)

#### Inherited from

[`ExtractControlMixin`](ExtractControlMixin.md).[`matFormField`](ExtractControlMixin.md#matformfield)

***

### ngControl

> `protected` **ngControl**: `null` \| `NgControl` \| `AbstractControlDirective`

Defined in: [packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:10](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts#L10)

#### Inherited from

[`ExtractControlMixin`](ExtractControlMixin.md).[`ngControl`](ExtractControlMixin.md#ngcontrol)

## Methods

### extractControl()

> `protected` **extractControl**(`ngControl`): `RxapFormControl`

Defined in: [packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:16](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts#L16)

#### Parameters

##### ngControl

`null` | `NgControl` | `AbstractControlDirective`

#### Returns

`RxapFormControl`

#### Inherited from

[`ExtractControlMixin`](ExtractControlMixin.md).[`extractControl`](ExtractControlMixin.md#extractcontrol)

***

### extractFormDefinition()

> `protected` **extractFormDefinition**(`control`): `FormDefinition`

Defined in: [packages/angular/form-system/src/lib/mixins/extract-form-definition.mixin.ts:10](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-form-definition.mixin.ts#L10)

#### Parameters

##### control

`AbstractControl`

#### Returns

`FormDefinition`

#### Inherited from

[`ExtractFormDefinitionMixin`](ExtractFormDefinitionMixin.md).[`extractFormDefinition`](ExtractFormDefinitionMixin.md#extractformdefinition)

***

### extractMethod()

> **extractMethod**(`formDefinition`, `controlId`, `name`): `Method`\<`any`, `any`\>

Defined in: [packages/angular/form-system/src/lib/mixins/extract-method.mixin.ts:16](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-method.mixin.ts#L16)

#### Parameters

##### formDefinition

`FormDefinition`

##### controlId

`string`

##### name

`string`

#### Returns

`Method`\<`any`, `any`\>

#### Inherited from

[`ExtractMethodMixin`](ExtractMethodMixin.md).[`extractMethod`](ExtractMethodMixin.md#extractmethod)

***

### extractMethods()

> `protected` **extractMethods**(`formDefinition`, `controlId`): `Map`\<`string`, [`UseMethodDefinition`](../interfaces/UseMethodDefinition.md)\<`unknown`, `unknown`, [`UseMethodConfig`](../interfaces/UseMethodConfig.md)\<`unknown`, `unknown`, `any`, `any`\>\>\>

Defined in: [packages/angular/form-system/src/lib/mixins/extract-methods.mixin.ts:43](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-methods.mixin.ts#L43)

#### Parameters

##### formDefinition

`FormDefinition`

##### controlId

`string`

#### Returns

`Map`\<`string`, [`UseMethodDefinition`](../interfaces/UseMethodDefinition.md)\<`unknown`, `unknown`, [`UseMethodConfig`](../interfaces/UseMethodConfig.md)\<`unknown`, `unknown`, `any`, `any`\>\>\>

#### Inherited from

[`ExtractMethodMixin`](ExtractMethodMixin.md).[`extractMethods`](ExtractMethodMixin.md#extractmethods)

***

### extractResolveMethod()

> `protected` **extractResolveMethod**(`control`, `formDefinition`): `Method`\<`any`, `any`\>

Defined in: [packages/angular/form-system/src/lib/mixins/extract-resolve-method.mixin.ts:39](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-resolve-method.mixin.ts#L39)

#### Parameters

##### control

`RxapFormControl` = `...`

##### formDefinition

`FormDefinition`\<`any`, `any`, `any`\> = `...`

#### Returns

`Method`\<`any`, `any`\>
